Subject: Re: Improving git branch

From: Jeff King <[email-masked]>
Date: Wed, 17 Dec 2014 16:01:48 -0500

On Wed, Dec 17, 2014 at 12:53:49PM -0800, Junio C Hamano wrote:

> Michael J Gruber <[email-masked]> writes:
> 
> > Rather than extending "git branch" any further[*], I suggest a bolder
> > strategy:
> >
> > - unify/merge for-each-ref and pretty formats (and code) as far as possible
> > - leverage that for the list modes of branch and tag
> >
> > That would allow everyone to get their favourite listing, just like for
> > logs. Otherwise it would be very difficult to agree on *the* proper
> > format for an extended branch or tag list.
> >
> > Michael
> >
> >
> > [*] I know I'm a sinner, too.
> 
> Actually this is not a "bolder" strategy, but the unification has
> been discussed and agreed to be the longer-term direction for quite
> a while, I think.  Didn't Peff have this in his "things to do when
> absolutely bored" box?

Yes. It is not even in my "absolutely bored" box, but rather the "I
would like to work on this but somehow other crap keeps coming up" box.

The last blocker I ran into was that we need to unify the "--contains"
implementation for "git tag" and "git branch". If anybody wants to push
this forward, I think that is the best place to start. I can dig up
references if anybody is interested.

-Peff